Cyan Web API - Version 1


POST api/syncTokens

            Creates a token that can be used to retrieve sync data.
            

Request Information

Parameters

NameDescriptionAdditional information
syncTokenRepresentation

Define this parameter in the request body.

Request body formats

application/json, text/json

Sample:
{
  "syncTokenId": "ebab4366-4278-4dd8-b5db-0815de82c3a1",
  "tenantId": "2f0b0c8a-28ef-4a4e-9d6b-a0226eb36e40",
  "userId": "c16887ee-ceb0-4e51-9d41-2cd00ade397c",
  "userGroupId": "a555d7db-b1ed-43c6-89e4-d09cce71aba5",
  "deviceId": "ed96a78f-08f2-4fa2-a4c4-274e9689c076",
  "deviceGroupId": "51d4f400-bf79-4a63-a7f1-07db628f0289",
  "applicationId": "9e655786-36a0-4e78-8517-47d6cfb3a9bd",
  "applicationVersionId": "c8dc9e81-47a1-41d6-ab3e-23d7b429393a",
  "requestedAnchorHex": "sample string 9",
  "currentDatabaseAnchorHex": "sample string 10",
  "pushToken": "sample string 11",
  "options": "sample string 12",
  "createdDateUtc": "2026-03-16T19:59:46.6605837+00:00",
  "updatedDateUtc": "2026-03-16T19:59:46.6605837+00:00"
}

application/xml, text/xml

Sample:
<SyncTokenRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <CreatedDateUtc>2026-03-16T19:59:46.6605837+00:00</CreatedDateUtc>
  <UpdatedDateUtc>2026-03-16T19:59:46.6605837+00:00</UpdatedDateUtc>
  <ApplicationId>9e655786-36a0-4e78-8517-47d6cfb3a9bd</ApplicationId>
  <ApplicationVersionId>c8dc9e81-47a1-41d6-ab3e-23d7b429393a</ApplicationVersionId>
  <CurrentDatabaseAnchorHex>sample string 10</CurrentDatabaseAnchorHex>
  <DeviceGroupId>51d4f400-bf79-4a63-a7f1-07db628f0289</DeviceGroupId>
  <DeviceId>ed96a78f-08f2-4fa2-a4c4-274e9689c076</DeviceId>
  <Options>sample string 12</Options>
  <PushToken>sample string 11</PushToken>
  <RequestedAnchorHex>sample string 9</RequestedAnchorHex>
  <SyncTokenId>ebab4366-4278-4dd8-b5db-0815de82c3a1</SyncTokenId>
  <TenantId>2f0b0c8a-28ef-4a4e-9d6b-a0226eb36e40</TenantId>
  <UserGroupId>a555d7db-b1ed-43c6-89e4-d09cce71aba5</UserGroupId>
  <UserId>c16887ee-ceb0-4e51-9d41-2cd00ade397c</UserId>
</SyncTokenRepresentation>

application/x-www-form-urlencoded

Sample:

Sample not available.